configure error: librt is not available in macos

Comments, questions, bug reports, etc.
Post Reply
joyjin
Posts: 1
Joined: Thu Mar 26, 2020 7:14 am

configure error: librt is not available in macos

Post by joyjin » Thu Mar 26, 2020 7:20 am

Command:
configure --with-fuse

Error message:
checking for mq_open in -lrt... no
configure: error: Cannot find librt (the POSIX.1b Realtime
Extensions Library)! wimlib needs this for the POSIX message queue
functions, which are used in the code for mounting WIM images. Recent
versions of glibc include this library. Either install this library, or
configure --without-fuse to disable support for mounting WIM images.

Reason: macOS does not provide librt, nor provides relevant functions like 'mqd_t' and 'mq' in libSystem.B.dylib. Are there any possible solutions? I need fuse because I want to mount wim files.

synchronicity
Site Admin
Posts: 304
Joined: Sun Aug 02, 2015 10:31 pm

Re: configure error: librt is not available in macos

Post by synchronicity » Fri Mar 27, 2020 4:34 am

WIM mounting is only supported on Linux.

Can you use wimextract and wimupdate instead?

Post Reply